Subject: Re: error compiling groff-1.10 under b17.1
From: [email-masked] (Larry Hall)

23 May 1997 21:11:39 -0700
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
X-Sender: [email-masked]
X-Mailer: Windows Eudora Pro Version 2.2 (32)
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Original-To: [email-masked], [email-masked]
Original-Sender: [email-masked]

At 04:07 PM 5/20/97 -0025, Pasa Guglielmo wrote:
>> g++ -I. -I. -I../include -I./../include -DHAVE_UNISTD_H=1
-DHAVE_DIRENT_H=1 -DH
>> VE_LIMITS_H=1 -DHAVE_SYS_DIR_H=1 -DHAVE_STDLIB_H=1
-DSTDLIB_H_DECLARES_PUTENV=1
>> -DSTDIO_H_DECLARES_POPEN=1 -DSTDIO_H_DECLARES_PCLOSE=1
-DHAVE_CC_OSFCN_H=1 -DHA
>> E_CC_LIMITS_H=1 -DRETSIGTYPE=void -DHAVE_STRUCT_EXCEPTION=1
-DHAVE_RENAME=1 -DH
>> VE_MKSTEMP=1 -DWCOREFLAG=0200  -g -O  -c index.cc
>> index.cc: In method `int index_search_item::load(int)':
>> index.cc:213: warning: implicit declaration of function `int strchr(...)'
>> index.cc:213: warning: assignment to `const char *' from `int' lacks a cast
>> index.cc: In function `class search_item * make_index_search_item(const
char *,
>> int)':
>> index.cc:276: warning: implicit declaration of function `int strcat(...)'
>> index.cc: In method `const char * index_search_item::munge_filename(const
char
>> )':
>> index.cc:429: invalid types `int[int]' for array subscript
>> index.cc: In method `void index_search_item::read_common_words_file()':
>> index.cc:548: no matching function for call to
`index_search_item::munge_filena
>> e (int)'
>> index.cc:425: candidates are: index_search_item::munge_filename(const char *)
>> index.cc: In method `void index_search_item::check_files()':
>> index.cc:608: warning: initialization to `const char *' from `int' lacks
a cast
>> index.cc:610: warning: assignment to `const char *' from `int' lacks a cast
>> make: *** [index.o] Error 1
>> make: *** [libbib] Error 2
>> make: *** [all] Error 2
>
>This is what I get after launching 'make'. I'm using b17.1.
>I use the groff-1.10 distribution of Linux on which I did ./configure.
>I've already installed grep-2.0 succesfully and also termcap (which I
>got also in Linux/Slackware).
>
>and finally for less-332 :
>
>> gcc -I. -c  -g -O output.c
>> output.c:288: warning: static declaration for `iprintf' follows non-static
>> output.c: In function `iprintf':
>> output.c:290: argument `fmt' doesn't match prototype
>>
D:\cygnus\H-i386-cygwin32\lib\gcc-lib\i386-cygwin32/cygnus-2.7.2-961023/../../..
>> /../i386-cygwin32/include/stdio.h:175: prototype declaration
>> output.c:290: number of arguments doesn't match prototype
>>
D:\cygnus\H-i386-cygwin32\lib\gcc-lib\i386-cygwin32/cygnus-2.7.2-961023/../../..
>> /../i386-cygwin32/include/stdio.h:175: prototype declaration
>> make: *** [output.o] Error 1
>
>

I don't know about your groff problem, but your problem with less is caused
by the fact that output.c defines a function iprintf() statically which is 
prototyped in stdio.h.  I don't know what's the best way to fix this but I
did something easy which was rename the static function and change all
the references (about 3 if I remember correctly).  This worked fine for me.

Larry Hall                              [email-masked]
RFK Partners, Inc.                      (617) 239-1053
8 Grove Street                          (617) 239-1655 - FAX
Wellesley, MA  02181                             

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".